Summary:	Firmware for Atheros ath10k based wifi adapters
Name:		ath10k-firmware
Version:	2.0
Release:	1%{?dist}
License:	GPLv2
Group:		System Environment/Kernel
URL:		https://github.com/kvalo/ath10k-firmware/tree/master/QCA988X

# Sources from:
# https://github.com/kvalo/ath10k-firmware/blob/master/QCA988X/board.bin
# https://github.com/kvalo/ath10k-firmware/blob/master/QCA988X/main/firmware-2.bin_999.999.0.636
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-build

BuildArch: noarch

%description
This package provides the firmware required for using Atheros
ath10k based wifi adapters with the Linux kernel ath10k driver.

%prep
%setup -q -n %{name}-%{version}

%build
# nothing to build

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/lib/firmware/ath10k/QCA988X/hw2.0/
%{__install} -p -m 0644 board.bin %{buildroot}/lib/firmware/ath10k/QCA988X/hw2.0/
%{__install} -p -m 0644 firmware-2.bin_999.999.0.636 %{buildroot}/lib/firmware/ath10k/QCA988X/hw2.0/firmware-2.bin

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%dir /lib/firmware/ath10k/QCA988X/hw2.0/
/lib/firmware/ath10k/QCA988X/hw2.0/*

%changelog
* Mon Mar 28 2016 Philip J Perry <phil@elrepo.org> - 2.0-1
- Initial RPM package for rhel7.
